shadow/tests/su/12_su_child_failure/su.test
Serge Hallyn b999d48941 Add tests from the old svn tree
We're losing the svn history (which we could probably keep if we tried
hard enough) but don't consider that worthwhile.

Note these tests are destructive, so run them only in a throwaway
environment like a chroot, container, or vm.

The tests/run.all script should be the one which launches all the tests.

Signed-off-by: Serge Hallyn <serge.hallyn@ubuntu.com>
2014-09-17 14:42:55 -05:00

38 lines
549 B
Bash
Executable File

#!/bin/sh
set -e
cd $(dirname $0)
. ../../common/config.sh
. ../../common/log.sh
log_start "$0" "su return failures of its child"
# no testsuite password
# root password: rootF00barbaz
# myuser password: myuserF00barbaz
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo -n "Run su, execute false..."
su -l myuser -c false && exit || {
status=$?
}
echo "OK"
echo -n "Check the return status..."
[ "$status" = "1" ]
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0